//+------------------------------------------------------------------+
//|                                                          SRP.mq4 |
//|                                 Copyright  2008, Southern Style |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Southern Style"
#property link      ""

extern double TakeProfit = 60;
extern double Lots = 0.01;
extern double StopLoss = 200;

//+------------------------------------------------------------------+
//| |
//+------------------------------------------------------------------+


int start()
{

int ticket, total;

// initial data checks
// it is important to make sure that the expert works with a normal
// chart and the user did not make any mistakes setting external
// variables (Lots, StopLoss, TakeProfit,
// TrailingStop) in our case, we check TakeProfit
// on a chart of less than 100 bars

if(Bars<100)
{
Print("bars less than 100");
return(0);
}

if(TakeProfit<10)
{
Print("TakeProfit less than 10");
return(0); // check TakeProfit
}

// to simplify the coding and speed up access
// data are put into internal variables
   double high  = iHigh(NULL,30,1);
   double low   = iLow(NULL,30,1);
   double close = iClose(NULL,30,1);
   double open  = iOpen(NULL,0,0);
   double P = (high+low)/2;
   double R1 = (2*P)-low;
   double S1 = (2*P)-high;
   double R2 = P+(R1-S1);
   double S2 = P-(R1-S1);
   double S3 = (low - (2*(high-P)));
   double R3 = (high + (2*(P-low)));



total=OrdersTotal();

if(total>0)
{
// no opened orders identified
if(AccountFreeMargin()<(1000*Lots))
{
Print("We have no money. Free Margin = ", AccountFreeMargin());
return(0);
}
}

if(total<0)
{
Print("Orders are already open");
return(0);

}
     bool Long1 = false; bool Short1 = false;
     bool Long2 = false; bool Short2 = false;
     bool Long3 = false; bool Short3 = false;
     bool Long4 = false; bool Short4 = false;

     if (Bid>=P)Long1 = true;
     if (Bid>R3)Long2 = true;
     if (Bid>R2)Long3 = true;
     if (Bid>R1)Long4 = true;
     
     if (Ask<S1)Short4 = true;
     if (Ask<S2)Short3 = true;
     if (Ask<S3)Short2 = true;
     if (Ask<=P) Short1 = true;


// check for order placement possibility

{
{if (Short1 || Short2 || Short3 || Short4)
OrderSend(Symbol(),OP_SELL,Lots,Bid,0,Ask+StopLoss*Point,Ask-TakeProfit*Point,"My order #",16384,0,Green);
Alert (GetLastError());
}

{if (Long1 || Long2 || Long3 || Long4)
OrderSend(Symbol(),OP_BUY,Lots,Ask,0,Bid-StopLoss*Point,Bid+TakeProfit*Point,"My order #",16384,0,Green);
Alert (GetLastError());
}
}
return(0);
}
// the end.

